import java.lang.reflect.Field;

public class TestCases3 {

    public boolean test1() throws Throwable {
        Field xFiguraField = this.getDeclaredField(Figura.class, "x");
        Field yFiguraField = this.getDeclaredField(Figura.class, "y");
        Field texturaFiguraField = this.getDeclaredField(Figura.class, "textura");
        if (xFiguraField == null || yFiguraField == null || texturaFiguraField == null)
        	return false;

    	Rectangulo rectangulo = new Rectangulo(71, 72, 4.0, 5.0);
        Object xValue = this.getDeclaredFieldValue(Figura.class, rectangulo, "x");
        Object yValue = this.getDeclaredFieldValue(Figura.class, rectangulo, "y");
        Object baseValue = this.getDeclaredFieldValue(Rectangulo.class, rectangulo, "base");
        Object alturaValue = this.getDeclaredFieldValue(Rectangulo.class, rectangulo, "altura");
        Object texturaValue = this.getDeclaredFieldValue(Figura.class, rectangulo, "textura");
        if (!(xValue != null && xValue instanceof Double && (double) xValue == 71))
        	return false;
        if (!(yValue != null && yValue instanceof Double && (double) yValue == 72))
        	return false;
        if (!(baseValue != null && baseValue instanceof Double && (double) baseValue == 4.0))
        	return false;
        if (!(alturaValue != null && alturaValue instanceof Double && (double) alturaValue == 5.0))
        	return false;
        if (!(texturaValue != null && texturaValue instanceof Integer && (int) texturaValue == 0))
        	return false;
        return true;
    }
    public boolean test2() throws Throwable {
        Field xFiguraField = this.getDeclaredField(Figura.class, "x");
        Field yFiguraField = this.getDeclaredField(Figura.class, "y");
        Field texturaFiguraField = this.getDeclaredField(Figura.class, "textura");
        if (xFiguraField == null || yFiguraField == null || texturaFiguraField == null)
        	return false;

    	Rectangulo rectangulo = new Rectangulo(61, 62, 4.5, 5.5, 8);
        Object xValue = this.getDeclaredFieldValue(Figura.class, rectangulo, "x");
        Object yValue = this.getDeclaredFieldValue(Figura.class, rectangulo, "y");
        Object baseValue = this.getDeclaredFieldValue(Rectangulo.class, rectangulo, "base");
        Object alturaValue = this.getDeclaredFieldValue(Rectangulo.class, rectangulo, "altura");
        Object texturaValue = this.getDeclaredFieldValue(Figura.class, rectangulo, "textura");
        if (!(xValue != null && xValue instanceof Double && (double) xValue == 61))
        	return false;
        if (!(yValue != null && yValue instanceof Double && (double) yValue == 62))
        	return false;
        if (!(baseValue != null && baseValue instanceof Double && (double) baseValue == 4.5))
        	return false;
        if (!(alturaValue != null && alturaValue instanceof Double && (double) alturaValue == 5.5))
        	return false;
        if (!(texturaValue != null && texturaValue instanceof Integer && (int) texturaValue == 8))
        	return false;
        return true;
    }

    private Field getDeclaredField(Class<?> clazz, String fieldName) throws SecurityException {
    	try {
    		return clazz.getDeclaredField(fieldName);
    	}
    	catch (NoSuchFieldException e) {
    		return null;
    	}
    }
    private Object getDeclaredFieldValue(Class<?> clazz, Object obj, String fieldName) throws NoSuchFieldException, SecurityException, IllegalArgumentException, IllegalAccessException {
    	Field field = this.getDeclaredField(clazz, fieldName);

    	field.setAccessible(true);

    	return field.get(obj);
    }
}